function  Multirun_all

warning off;
startup;
path=cd;
numrun=5;   %Set the number of independent runs here. 
numprob = {'smd1'};     %list all the problems to be run here. 
% numprob={'smd1','smd2','smd3','smd4','smd5','smd6','smd7','smd8', 'bltp_1','bltp_2','bltp_3','bltp_4','bltp_5','bltp_6','bltp_7','bltp_8','bltp_9','bltp_10','bltp_11','bltp_12','bltp_13','smd9','smd10','smd11','smd12'};
alg={'blma'};
folder={'Results'};     %Outputs will be stored here
numstrategy=length(alg);
seed=1999+(1:numrun);

%The following sets the parameters and executes the runs. 

for i=1:length(numprob)
    if (strcmp(numprob{i}, 'smd9')==1 || strcmp(numprob{i}, 'smd10')==1 || strcmp(numprob{i}, 'smd11')==1 || strcmp(numprob{i}, 'smd12')==1)
        ul_mem = 10;
    else
        ul_mem = 5;
    end
    write_param(ul_mem); %ul_mem will be written as the ul generations in the write_param function. 
    %Rest of the parameters have been set the same in the study and set constant inside the write_param function. 
    
    %create folders and run the algorithm.
    for j=1:numstrategy
        prob_name=numprob{i};
        for k=1:numrun         
            disp(strcat('Prob->',num2str(i),'alg-',num2str(j),' run-',num2str(k)));
            pth=strcat(path,'\',folder{j},'\',numprob{i},'\run-',num2str(k)); 
            mkdir(pth);
            cd(pth);
            write_param(seed(k),ul_mem);
            Optimization_algo_BLMA(prob_name,alg{j},seed(k));
            cd(path);        
        end       
    end
end

return

% the following sets of the parameters
function write_param(varargin)
fp=fopen('params.m','w');
fprintf(fp,'%s','param.pop_size_ul =50;');
fprintf(fp,'%s','param.pop_size_ll = 50;');
fprintf(fp,'\n%s','param.generations_ll = 20;');
fprintf(fp,'\n%s','param.alpha = 0.8;');

fprintf(fp,'\n%s','param.DE_crossover = 0.9;');
fprintf(fp,'\n%s','param.DE_mutation = 0.7;');

if length(varargin) == 2
    seed = varargin{1};
    fprintf(fp,'\n%s',strcat('param.seed =' ,num2str(seed),';'));
    ul_mem=varargin{2};
    fprintf(fp,'\n%s',strcat('param.generations_ul=' ,num2str(ul_mem),';'));
end
if length(varargin) == 1
    ul_mem=varargin{1};
    fprintf(fp,'\n%s',strcat('param.generations_ul =' ,num2str(ul_mem),';'));
end
fprintf(fp,'\n%s','param.max_ipfn_evals_ul = 250;');
fprintf(fp,'\n%s','param.max_ipfn_evals_ll = 250;');
fprintf(fp,'\n%s','param.tolcon_ulsqp = 1e-6;');
fprintf(fp,'\n%s','param.tolcon_llsqp=1e-6;');
fclose(fp);
return