function [f,g,h]=bltp_1(xu,xl,g_ll,g_ul,k)

p=1;q=1;r=1;
if nargin == 0
    prob.name = mfilename;
    ux=p+r;lx=q+r;
    prob.nxu = ux;
    prob.nxl = lx;
    prob.nf = 1;  %upper level
    prob.nfl=1;   %lower level
    prob.ng = 1;  %upper level
    prob.ngl=2;   %lower level
    prob.pqr = [1 1 1];
    prob.rangexu = zeros(prob.nxu,2);
    prob.rangexl = zeros(prob.nxl,2);
    ind=1;
    %variable for u1
    for i = 1:p
        prob.rangexu(ind,:) = [0,50];
        ind=ind+1;
    end
    %variable for u2
    for i=1:r
        prob.rangexu(ind,:) = [0,50];
        ind=ind+1;
    end
    ind=1;
    %variable for l1
    for i=1:q
        prob.rangexl(ind,:) = [-10,20];
        ind=ind+1;
    end
    %variable for l2
    for i=1:r
        prob.rangexl(ind,:) = [-10,20];
        ind=ind+1;
    end
    f = prob;
else
    if k == 1
        [f,g,h] = smd1_true_ul(xu,xl,g_ll, p,q,r);
    elseif k==2
        [f,g,h] = smd1_true_ll(xu,xl, p,q,r);
    else
        error('k can only be either 1(ul) or 2(ll)')
    end
end
return


function [f,g,h] = smd1_true_ul(xu,xl,g_ll,p,q,r)


xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q);xl2=xl(q+1:end);

x1 = xu(1);
x2 = xu(2);
y1 = xl(1);
y2 = xl(2);

g_ul(1) = x1+x2+y1-2*y2-40;

if g_ll(1)<=0 && g_ll(2)
    f_ul = 2*x1+2*x2-3*y1-3*y2-60;
else
    f_ul=1e6;
end

f=f_ul;

g = g_ul;
h = 0;


return

function [f,g,h]= smd1_true_ll(xu,xl,p,q,r)


x1 = xu(1);
x2 = xu(2);
y1 = xl(1);
y2 = xl(2);
f_ll = (y1-x1+20)^2 + (y2-x2+20)^2;
g_ll(1) = 2*y1-x1+10;
g_ll(2) = 10-x2+2*y2;
f = f_ll;
g =g_ll;
h = 0;

return

