function [f,g,h]=smd12(xu,xl,g_ll,cp,k)
 
p=1;q=2;r=1;
if nargin == 0
    prob.name = mfilename;
    ux=p+r;lx=q+r;
	prob.nxu = ux;
    prob.nxl = lx;
	prob.nf = 1; % upper level
    prob.nfl=1;  % lower level
	prob.ng = 3; % upper level
    prob.ngl=3; % lower level
    prob.pqr = [1 2 1];
	prob.rangexu = zeros(prob.nxu,2);
    prob.rangexl = zeros(prob.nxl,2);
    ind=1;
    %variable for u1
    for i = 1:p
        prob.rangexu(ind,:) = [-5,10];
        ind=ind+1;
    end
    %variable for u2
    for i=1:r
        prob.rangexu(ind,:) = [-14.10,14.10];
        ind=ind+1;
    end
    ind=1;
    %variable for l1
    for i=1:q
        prob.rangexl(ind,:) = [-5,10];
        ind=ind+1;
    end 
   %variable for l2
    for i=1:r
        prob.rangexl(ind,:) = [-1.5+1e-2,1.5-1e-2];
        ind=ind+1;
    end
    f = prob;
else
    if k == 1
    	[f,g,h] = smd1_true_ul(xu,xl,g_ll, p,q,r);
    elseif k==2
        [f,g,h] = smd1_true_ll(xu,xl, p,q,r);
   
    else
        error('k can only be either 1(ul) or 2(ll)')
    end
end
return


function [f,g,h] = smd1_true_ul(xu,xl,g_ll,p,q,r)



xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q);xl2=xl(q+1:end);


   
    for i=1:p
        g_ul(i) = -(xu1(i) + xu1(i).^3 - sum(xu1.^3) - sum(xu2.^3));
    end
 
    for i=1:r
        g_ul(p+i) = -(xu2(i) + xu2(i).^3 - sum(xu2.^3) - sum(xu1.^3));
    end
 
    g_ul(p+r+1:p+2*r) = -(xu2 - tan(xl2));
    
    if g_ll(1)<=0 && g_ll(2)<=0 && g_ll(3)<=0 
        
     f_u = sum((xu1 - 2).^2)  + sum((xl1).^2)  + sum((xu2 - 2).^2) + sum(tan(abs(xl2))) - sum((xu2 - tan(xl2)).^2);
       
     f=f_u;
     g=g_ul;
     h=0;
    else
        f=1e6;
        g=g_ul;
        h=0;
    end
      

 
 

   

    

return

function [f,g,h]= smd1_true_ll(xu,xl,p,q,r)


xu=[1 1];

xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q);xl2=xl(q+1:end);

        
        for i=1:q
        g_ll(i) = -(xl1(i) + xl1(i).^3 - sum(xl1.^3));
        end
        g_ll(q+1) = -(sum((xu2 - tan(xl2)).^2) - 1);
        
        f_l= sum((xu1).^2) + sum((xl1 - 2).^2)+ sum((xu2 - tan(xl2)).^2);


        f = f_l;
        g =g_ll;
        h=0;

return 



